Bug Hunting Session
Bug 100886 - Drawing a shape from the Shapes deck hides the Default content panel
Summary: Drawing a shape from the Shapes deck hides the Default content panel
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Susobhan Ghosh
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Sidebar-Shapes
  Show dependency treegraph
 
Reported: 2016-07-12 22:35 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 18:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-07-12 22:35:32 UTC
Steps:
1) Open Draw
2) Switch sidebar to Shapes deck
3) Select a shape
4) Draw the shape
5) Notice the Default content panel has disappeared when the shape is selected
6) Click off the shape and the content panel reappears

Version: 5.3.0.0.alpha0+
Build ID: a4d40892b78070c9e54e0c8a30ed20d3395e68cd
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-07-11_06:25:24
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Commit Notification 2016-07-14 09:45:34 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ee3c29d03cf8c647f798d00b0a947042150449d

tdf#100886: Show Default ShapesPanel when Shape is selected

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.